# Toxygen 
Toxygen is cross-platform [Tox](https://tox.chat/) client written on Python

[![Release](https://img.shields.io/github/release/xveduk/toxygen.svg?style=flat)](https://github.com/xveduk/toxygen/releases/latest)
[![Open issues](https://img.shields.io/github/issues/xveduk/toxygen.svg?style=flat)](https://github.com/xveduk/toxygen/issues)
[![License](https://img.shields.io/badge/license-GPLv3-blue.svg?style=flat)](https://raw.githubusercontent.com/xveduk/toxygen/master/LICENSE.md)

### [Install](/docs/install.md) - [Contribute](/docs/contributing.md)

### Supported OS:
- Windows
- Linux

###Features
- [x] 1v1 messages
- [x] File transfers
- [x] Audio
- [x] Chat history
- [x] Name lookups (TOX DNS 4 support)
- [x] Profile import/export
- [x] Inline images
- [x] Message splitting
- [x] Proxy support
- [x] Avatars
- [x] Multiprofile
- [x] Multilingual
- [x] Sound notifications
- [x] Contact aliases
- [x] Contact blocking
- [x] Typing notifications
- [x] Changing nospam
- [x] File resuming
- [ ] Video
- [ ] Save file encryption
- [ ] Plugins support
- [ ] Group chats
- [ ] Read receipts
- [ ] Faux offline messaging
- [ ] Desktop sharing

###Downloads
[Download last stable version](https://github.com/xveduk/toxygen/archive/master.zip)

[Download develop version](https://github.com/xveduk/toxygen/archive/develop.zip)

[Releases](https://github.com/xveduk/toxygen/releases)

###Screenshots
*Toxygen on Ubuntu and Windows*
![Ubuntu](/docs/ubuntu.png)
![Windows](/docs/windows.png)

###Docs
[Check /docs/ for more info](/docs/)

